USN-6463-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-6463-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6463-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6463-2
Related
Published
2023-12-06T09:43:32.248590Z
Modified
2023-12-06T09:43:32.248590Z
Summary
open-vm-tools vulnerabilities
Details

USN-6463-1 fixed vulnerabilities in Open VM Tools. This update provides the corresponding updates for Ubuntu 16.04 LTS and Ubuntu 18.04 LTS.

Original advisory details:

It was discovered that Open VM Tools incorrectly handled SAML tokens. A remote attacker with Guest Operations privileges could possibly use this issue to elevate their privileges. (CVE-2023-34058)

Matthias Gerstner discovered that Open VM Tools incorrectly handled file descriptors when dropping privileges. A local attacker could possibly use this issue to hijack /dev/uinput and simulate user inputs. (CVE-2023-34059)

References

Affected packages

Ubuntu:Pro:18.04:LTS / open-vm-tools

Package

Name
open-vm-tools

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:11.0.5-4ubuntu0.18.04.3+esm3

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "open-vm-tools-dev": "2:11.0.5-4ubuntu0.18.04.3+esm3",
            "open-vm-tools": "2:11.0.5-4ubuntu0.18.04.3+esm3",
            "open-vm-tools-desktop": "2:11.0.5-4ubuntu0.18.04.3+esm3"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / open-vm-tools

Package

Name
open-vm-tools

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:10.2.0-3~ubuntu0.16.04.1+esm4

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "open-vm-tools-dev": "2:10.2.0-3~ubuntu0.16.04.1+esm4",
            "open-vm-tools": "2:10.2.0-3~ubuntu0.16.04.1+esm4",
            "open-vm-tools-desktop": "2:10.2.0-3~ubuntu0.16.04.1+esm4"
        }
    ]
}